DSA_SIZE(3)

NAME
DSA_size - get DSA signature size

SYNOPSIS
#include <openssl/dsa.h>
int
DSA_size(const DSA *dsa);

DESCRIPTION
This function returns the size of an ASN.1 encoded DSA signature in bytes. It can be used to determine how much memory must be allocated for a DSA signature.

dsa->q must not be NULL.

RETURN VALUES
The size in bytes.

SEE ALSO
DSA_get0_pqg(3), DSA_new(3), DSA_sign(3)

HISTORY
DSA_size() appeared before SSLeay 0.8 and has been available since OpenBSD 2.4.